The ConnectEvents resource provides methods that allow you to read, delete, and republish the connect logs associated with an envelope.
Methods supported
| Method | Description |
|---|---|
| delete | DEL /restapi/v2/accounts/{accountId}/connect/logs/{logId}Deletes a specified Connect log entry. |
| deleteFailure | DEL /restapi/v2/accounts/{accountId}/connect/failures/{failureId}Deletes a Connect failure log entry. |
| deleteList | DEL /restapi/v2/accounts/{accountId}/connect/logsGets a list of Connect log entries. |
| get | GET /restapi/v2/accounts/{accountId}/connect/logs/{logId}Get the specified Connect log entry. |
| list | GET /restapi/v2/accounts/{accountId}/connect/logsGets the Connect log. |
| listFailures | GET /restapi/v2/accounts/{accountId}/connect/failuresGets the Connect failure log information. |
| retryForEnvelope | PUT /restapi/v2/accounts/{accountId}/connect/envelopes/{envelopeId}/retry_queueRepublishes Connect information for the specified envelope. |
| retryForEnvelopes | PUT /restapi/v2/accounts/{accountId}/connect/envelopes/retry_queueRepublishes Connect information for multiple envelopes. |
ConnectEvents properties
| Property | Type | Description |
|---|---|---|
failures | array | An array of containing failure information from the Connect failure log. |
logs | array | A complex type containing Connect log information. It is divided into two sections, one for regular logs and one for Connect failures. |
totalRecords | string | |
type | string |